---
title: Close Popup Directive
desc: Helper Vue directive when working with QDialog or QMenu.
related:
  - /vue-components/dialog
  - /vue-components/menu
---

This directive is a helper when dealing with [QDialog](/vue-components/dialog) and [QMenu](/vue-components/menu) components. When attached to a DOM element or component then that component will close the QDialog or QMenu (whichever is first parent) when clicked/tapped.

## Installation

<doc-installation directives="ClosePopup" />

## Usage

<doc-example title="With a QMenu" file="ClosePopup/Menu" />

<doc-example title="With a QDialog" file="ClosePopup/Dialog" />

## API
<doc-api file="ClosePopup" />

